

body {
	display: flex;
}

#logo-container {
	margin: auto; 
	width: 500px;
	height: 300px;
	background: black;
	-webkit-transition: background-color 2s ease-out;
  	-moz-transition: background-color 2s ease-out;
 	-o-transition: background-color 2s ease-out;
  	transition: background-color 2s ease-out;
}

#logo-container:hover {
	background: url(../images/demoimg.jpg);
	background-size: 100% 100%;
	/*100% means width and secon 100% means height
	background: contain; fit img into box without strecthing
	background: cover; fits img by cropping but not stretching*/
	background-repeat: no-repeat;
	-webkit-transition: background-color 2s ease-in-out;
  	-moz-transition: background-color 2s ease-in-out;
  	-o-transition: background-color 2s ease-in-out;
  	transition: background-color 2s ease-in-out;
}

#logo-container:active {
	background: yellow;
}

